import React from "react";
import { Filter } from "./Filter";
interface IProps {
    initialText?: string;
    initialFilter?: Filter;
    onFinished(): void;
}
export declare const useWebSearchMetrics: (numResults: number, queryLength: number, viaSpotlight: boolean) => void;
declare const RovingSpotlightDialog: React.FC<IProps>;
export default RovingSpotlightDialog;
